# Get Endpoints

### For generate Endpoints

## generate

<mark style="color:blue;">`GET`</mark> `https://v1.api.amethyste.moe/generate`

Returns the list of endpoints

#### Headers

| Name          | Type   | Description                 |
| ------------- | ------ | --------------------------- |
| Authorization | string | Authentication token Bearer |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "status": 200,
  "message": "Welcome to you on the image generation part",
  "endpoints": {
    "free": [
      "3000years",
      "approved",
      "afusion",
      "beautiful",
      "blur",
      "blurple",
      "circle",
      "contrast",
      "ddungeon",
      "deepfry",
      "dictator",
      "distort",
      "emboss",
      "fire",
      "frame",
      "frame",
      "gay",
      "glitch",
      "gravity",
      "greyple",
      "greyscale",
      "invert",
      "jail",
      "missionpassed",
      "moustache",
      "pixelize",
      "posterize",
      "rejected",
      "redple",
      "rip",
      "scary",
      "sepia",
      "sharpen",
      "sniper",
      "symmetry",
      "tobecontinued",
      "triggered",
      "unsharpen",
      "utatoo",
      "wanted",
      "wasted",
      "dither565"
    ],
    "premium": [
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## generate

<mark style="color:green;">`POST`</mark> `https://v1.api.amethyste.moe/generate`

Returns the list of endpoints for generate

#### Headers

| Name          | Type   | Description                 |
| ------------- | ------ | --------------------------- |
| Authorization | string | Authentication token Bearer |

{% tabs %}
{% tab title="200 " %}

```
{
  "status": 200,
  "message": "Welcome to you on the image generation part",
  "endpoints": {
    "free": [
      "3000years",
      "approved",
      "afusion",
      "beautiful",
      "blur",
      "blurple",
      "circle",
      "contrast",
      "ddungeon",
      "deepfry",
      "dictator",
      "distort",
      "emboss",
      "fire",
      "frame",
      "frame",
      "gay",
      "glitch",
      "gravity",
      "greyple",
      "greyscale",
      "invert",
      "jail",
      "missionpassed",
      "moustache",
      "pixelize",
      "posterize",
      "rejected",
      "redple",
      "rip",
      "scary",
      "sepia",
      "sharpen",
      "sniper",
      "symmetry",
      "tobecontinued",
      "triggered",
      "unsharpen",
      "utatoo",
      "wanted",
      "wasted",
      "dither565"
    ],
    "premium": [
    ]
  }
}
```

{% endtab %}
{% endtabs %}

### For Image Endpoints

## image

<mark style="color:blue;">`GET`</mark> `https://v1.api.amethyste.moe/image`

Returns the list of endpoints for image

#### Path Parameters

| Name          | Type   | Description                 |
| ------------- | ------ | --------------------------- |
| Authorization | string | Authentication token Bearer |

{% tabs %}
{% tab title="200 " %}

```
{
  "endpoints": {
    "free": [
      "wallpaper"
    ],
    "premium": [
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## image

<mark style="color:green;">`POST`</mark> `https://v1.api.amethyste.moe/image`

Returns the list of endpoints for image

#### Path Parameters

| Name          | Type   | Description                 |
| ------------- | ------ | --------------------------- |
| Authorization | string | Authentication token Bearer |

{% tabs %}
{% tab title="200 " %}

```
{
  "endpoints": {
    "free": [
      "wallpaper"
    ],
    "premium": [
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.amethyste.moe/api-reference/generate_endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
